SALT-PEPPER(1)

NAME
salt-pepper - Tool to access a salt-api instance

SYNOPSIS
salt-pepper [opts]

DESCRIPTION

    A CLI interface to a remote salt-api instance

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-c CONFIG
    Configuration file location. Default is a file path in the "PEPPERRC" environment variable or ~/.pepperrc.

-v  Increment output verbosity; may be specified multiple times

-H, --debug-http
    Output the HTTP request/response headers on stderr

--ignore-ssl-errors
    Ignore any SSL certificate that may be encountered. Note that it is recommended to resolve certificate errors for production.

    Pepper ``salt`` Options:

    Mimic the ``salt`` CLI

-t TIMEOUT, --timeout=TIMEOUT
    Specify wait time (in seconds) before returning control to the shell

--client=CLIENT
    specify the salt-api client to use (local, local_async, runner, etc)

--json=JSON_INPUT
    Enter JSON at the CLI instead of positional (text) arguments. This is useful for arguments that need complex data structures. Specifying this argument will cause positional arguments to be ignored.

--json-file=JSON_FILE
    Specify file containing the JSON to be used by salt-pepper

--fail-if-incomplete
    Return a failure exit code if not all minions respond. This option requires the authenticated user have access to run the `jobs.list_jobs` runner function.

    Targeting Options:

    Target which minions to run commands on

-E, --pcre
    Target hostnames using PCRE regular expressions

-L, --list
    Specify a comma delimited list of hostnames

-G, --grain
    Target based on system properties

--grain-pcre
    Target based on PCRE matches on system properties

-I, --pillar
    Target based on pillar values

--pillar-pcre
    Target based on PCRE matches on pillar values

-R, --range
    Target based on range expression

-C, --compound
    Target based on compound expression

-N, --nodegroup
    Target based on a named nodegroup

--batch=BATCH

    Authentication Options:

    Authentication credentials can optionally be supplied via the environment variables: SALTAPI_URL, SALTAPI_USER, SALTAPI_PASS, SALTAPI_EAUTH.

-u SALTAPIURL, --saltapi-url=SALTAPIURL
    Specify the host url. Defaults to https://localhost:8080

-a EAUTH, --auth=EAUTH, --eauth=EAUTH, --extended-auth=EAUTH
    Specify the external_auth backend to authenticate against and interactively prompt for credentials

--username=USERNAME
    Optional, defaults to user name. will be prompt if empty unless --non-interactive

--password=PASSWORD
    Optional, but will be prompted unless --noninteractive

--token-expire=TOKEN_EXPIRE
    Set eauth token expiry in seconds. Must be allowed per user. See the `token_expire_user_override` Master setting for more info.

--non-interactive
    Optional, fail rather than waiting for input

-T, --make-token
    Generate and save an authentication token for re-use. The token is generated and made available for the period defined in the Salt Master.

-r, --run-uri
    Use an eauth token from /token and send commands through the /run URL instead of the traditional session token approach.

-x CACHE
    Cache file location. Default is a file path in the "PEPPERCACHE" environment variable or ~/.peppercache.

SEE ALSO
The full documentation for salt-pepper is maintained as a Texinfo manual. If the info and salt-pepper programs are properly installed at your site, the command

    info salt-pepper

should give you access to the complete manual.